#
# Conditional build:
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module
%bcond_without	doc	# HTML documentation (sphinx-based)
#
%define		module	pyOpenSSL
Summary:	Python 2 interface to the OpenSSL library
Summary(pl.UTF-8):	Interfejs Pythona 2 do biblioteki OpenSSL
Name:		python-%{module}
Version:	0.14
Release:	2
License:	Apache v2.0
Group:		Libraries/Python
Source0:	https://pypi.python.org/packages/source/p/pyOpenSSL/%{module}-%{version}.tar.gz
# Source0-md5:	8579ff3a1d858858acfba5f046a4ddf7
URL:		https://github.com/pyca/pyopenssl
%if %{with python2}
BuildRequires:	python-modules >= 1:2.6
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 3.2
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.612
%{?with_doc:BuildRequires:	sphinx-pdg}
Requires:	python-cryptography >= 0.2.1
Requires:	python-six >= 1.5.2
Obsoletes:	python-OpenSSL
Obsoletes:	python-pyOpenSSL-doc
Obsoletes:	python-pyOpenSSL-doc-html
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
High-level wrapper around a subset of the OpenSSL library, includes:
 - SSL.Connection objects, wrapping the methods of Python's portable
   sockets
 - Callbacks written in Python
 - Extensive error-handling mechanism, mirroring OpenSSL's error codes
...and much more.

This package contains Python 2 modules.

%description -l pl.UTF-8
Wysokopoziomowe obudowanie podzbioru biblioteki OpenSSL, zawierające:
 - obiekty SSL.Connection, obudowujący metody przenośnych gniazd
   Pythona
 - wywołania zwrotne napisane w Pythonie
 - obszerny mechanizm obsługi błędów odzwierciedlający kody błędów
   OpenSSL-a
...i wiele więcej.

Ten pakiet zawiera moduły Pythona 2.

%package -n python3-pyOpenSSL
Summary:	Python 2 interface to the OpenSSL library
Summary(pl.UTF-8):	Interfejs Pythona 2 do biblioteki OpenSSL
Group:		Libraries/Python
Requires:	python3-cryptography >= 0.2.1
Requires:	python3-six >= 1.5.2

%description -n python3-pyOpenSSL
High-level wrapper around a subset of the OpenSSL library, includes:
 - SSL.Connection objects, wrapping the methods of Python's portable
   sockets
 - Callbacks written in Python
 - Extensive error-handling mechanism, mirroring OpenSSL's error codes
...and much more.

This package contains Python 3 modules.

%description -n python3-pyOpenSSL -l pl.UTF-8
Wysokopoziomowe obudowanie podzbioru biblioteki OpenSSL, zawierające:
 - obiekty SSL.Connection, obudowujący metody przenośnych gniazd
   Pythona
 - wywołania zwrotne napisane w Pythonie
 - obszerny mechanizm obsługi błędów odzwierciedlający kody błędów
   OpenSSL-a
...i wiele więcej.

Ten pakiet zawiera moduły Pythona 3.

%package examples
Summary:	Examples for pyOpenSSL module
Summary(pl.UTF-8):	Przykłady do modułu pyOpenSSL
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This package contains example files for pyOpenSSL Python module.

%description examples -l pl.UTF-8
Pakiet zawierający przykładowe skrypty dla modułu Pythona pyOpenSSL.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%{__python} setup.py build \
	--build-base build-2
%endif
%if %{with python3}
%{__python3} setup.py build \
	--build-base build-3
%endif

%if %{with doc}
%{__make} -C doc html
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%if %{with python2}
%{__python} setup.py \
	build \
		--build-base build-2 \
	install \
		--optimize=2 \
		--root=$RPM_BUILD_ROOT

%py_postclean
%endif

%if %{with python3}
%{__python3} setup.py \
	build \
		--build-base build-3 \
	install \
		--optimize=2 \
		--root=$RPM_BUILD_ROOT
%endif

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO %{?with_doc:doc/_build/html/{*.html,_static,api}}
%dir %{py_sitescriptdir}/OpenSSL
%{py_sitescriptdir}/OpenSSL/*.py[co]
%dir %{py_sitescriptdir}/OpenSSL/test
%{py_sitescriptdir}/OpenSSL/test/*.py[co]
%{py_sitescriptdir}/pyOpenSSL-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-pyOpenSSL
%defattr(644,root,root,755)
%doc ChangeLog README TODO %{?with_doc:doc/_build/html/{*.html,_static,api}}
%dir %{py3_sitescriptdir}/OpenSSL
%{py3_sitescriptdir}/OpenSSL/*.py
%{py3_sitescriptdir}/OpenSSL/__pycache__
%dir %{py3_sitescriptdir}/OpenSSL/test
%{py3_sitescriptdir}/OpenSSL/test/*.py
%{py3_sitescriptdir}/OpenSSL/test/__pycache__
%{py3_sitescriptdir}/pyOpenSSL-%{version}-py*.egg-info
%endif

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Oct 19 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyOpenSSL.git;a=log;h=master

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> c9b90ba
- python 3.4
- release 2 (by relup.sh)

* Sat Mar 01 2014 Jakub Bogusz <qboosh@pld-linux.org> 5310dd7
- rpmbuild(macros) version for py3_* macros

* Sat Mar 01 2014 Jakub Bogusz <qboosh@pld-linux.org> 24e3a41
- updated to 0.14 (now cryptography based)
- added python3 module

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> d19efd7
- up to 0.13

* Fri Aug 26 2011 areq <areq@pld-linux.org> 6995653
- 0.12

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> c490edc
- release 2

* Fri Sep 24 2010 emes <emes@pld-linux.org> b4c7b8b
- up to 0.9

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b62bfb8
- release 4

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 17f0c1d
- release 3

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> b134f06
- drop obsolete files

* Tue May 12 2009 Elan Ruusamäe <glen@pld-linux.org> 81bd1a1
- release 2

* Mon Mar 30 2009 duddits <duddits@pld-linux.org> 2326286
- up to 0.8
- patches for 0.8 updated with Arnaud Desmons' consent <arnaud dot desmons at free dot fr>
- %build
- %files

* Mon Mar 30 2009 duddits <duddits@pld-linux.org> 3f16f1b
- new patches for pyOpenSSL 0.8
- added with Arnaud Desmon's consent <arnaud dot desmons at free dot
fr>

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> d7118f4
- release 6

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 51c13fb
- release 5

* Wed May 07 2008 Jakub Bogusz <qboosh@pld-linux.org> 31dc7a1
- BR: rpm-pythonprov

* Tue Oct 09 2007 beorn <beorn@pld-linux.org> 74353c0
- Added patches by Arnaud Desmons for pyOpenSSL (with authors permission). Description of changes can be reviewed here: http://arnaud.desmons.free.fr/wordpress/index.php?s=openssl&submit=Search

* Tue Oct 09 2007 beorn <beorn@pld-linux.org> e6767ca
- Added patches by Arnaud Desmons for pyOpenSSL (with authors permission)

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> def8d3c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f91aab6
- converted to UTF-8

